#use Appimage

Name:           sozi
Version:     	23.07.25
Release:        %mkrel 1
Summary:        Sozi is a zooming presentation editor and player.
Group:		Graphics
License:        MPL2.0
Packager:  	Agent Smith <ruidobranco@yahoo.com.br>
URL:            https://sozi.baierouge.fr/
Source1:        %{name}.png
#-----------------------------------------------------------------

%description

Unlike in most presentation applications, a Sozi document is not organised as a slideshow, but rather as a poster where the content of your presentation can be freely laid out. Playing such a presentation consists in a series of translations, zooms and rotations that allow to focus on the elements you want to show.

Sozi is based on open standards. It is free software distributed according to the terms of the Mozilla Public License 2.0.

%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/sozi-projects/Sozi/releases/download/v23.07/Sozi-23.7.25-1690311612.AppImage
chmod +x Sozi-23.7.25-1690311612.AppImage
popd

install -Dm 0755 %{_sourcedir}/Sozi-23.7.25-1690311612.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

# Installs the launcher
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=Sozi
GenericName=sozi
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Categories=Graphics;2DGraphics;VectorGraphics;RasterGraphics;Qt;
Keywords=picture;drawing;vector;bitmap;cartoon;animation;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage



%changelog

* Thu Aug 17 2023 Agent Smith <ruidobranco@yahoo.com.br> - 23.07.25-1pclos2023
- Updated pkg from Appimage.

* Fri Oct 14 2022 Agent Smith <ruidobranco@yahoo.com.br> - 22.03.25-1pclos2022
- Created pkg from Appimage.
